<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetNodesFormulas](./bitburner.hacknetnodesformulas.md) &gt; [moneyGainRate](./bitburner.hacknetnodesformulas.moneygainrate.md)

## HacknetNodesFormulas.moneyGainRate() method

Calculate money gain rate.

<b>Signature:</b>

```typescript
moneyGainRate(level: number, ram: number, cores: number, mult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  level | number | level of the node. |
|  ram | number | ram of the node. |
|  cores | number | cores of the node. |
|  mult | number | player production mult (default to 1) |

<b>Returns:</b>

number

The calculated money gain rate.

